Name:       ocaml-markdown
Version:    0.1.0
Release:    %mkrel 2
Summary:    Markdown processor written in OCaml
License:    MIT
Group:      Development/OCaml
URL:        https://forge.ocamlcore.org/projects/ocaml-markdown/
Source0:    http://download.ocamlcore.org/ocaml-markdown/ocaml-markdown/%{version}/ocaml-markdown-%{version}.tar.gz
Patch0:     ocaml-markdown-0.1.0-ocsigen.xhtml-to-tyxml.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-sexplib-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-tyxml-devel
Requires:   ocaml-extlib
Requires:   ocaml-sexplib
Requires:   ocaml-tyxml

%description
Markdown processor written in OCaml.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   ocaml-extlib-devel
Requires:   ocaml-sexplib-devel
Requires:   ocaml-tyxml-devel

%description devel
The %{name}-devel package contains libraries for developing applications
that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
./configure --prefix %{prefix}
make

%check
make test

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/markdown
make install

%files
%doc README.txt AUTHORS.txt
%dir %{_libdir}/ocaml/markdown
%{_libdir}/ocaml/markdown/META
%{_libdir}/ocaml/markdown/*.cmi
%{_libdir}/ocaml/markdown/*.cma
%{_libdir}/ocaml/markdown/*.cmxs

%files devel
%doc test/
%{_libdir}/ocaml/markdown/*.a
%{_libdir}/ocaml/markdown/*.cmxa
%{_libdir}/ocaml/markdown/*.cmx
%{_libdir}/ocaml/markdown/Markdown.ml
%{_libdir}/ocaml/markdown/MarkdownHTML.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 523828
- Mageia 4 Mass Rebuild

* Sat Mar 30 2013 blue_prawn <blue_prawn> 0.1.0-1.mga4
+ Revision: 406791
- imported package ocaml-markdown

